import setuptools

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    name="ams_reg_calc", # Replace with your own username
    version="1.0.1",
    author="Richard Kuba",
    author_email="richardjozsef.kuba@ams.com",
    description="conversion between register value and bitfield values",
    py_modules=['ams_reg_calc'],
    package_dir={'': 'src'},
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
)